Name:           picocom
Version:        2.2
Release:        %mkrel 1
Summary:        Minimal serial communications program
Group:          Communications
License:        GPLv2+
URL:            https://github.com/npat-efault/picocom
Source0:        https://github.com/npat-efault/picocom/archive/%{name}-%{version}.tar.xz
Requires(pre):  shadow-utils

%description
As its name suggests, [picocom] is a minimal dumb-terminal emulation
program. It is, in principle, very much like minicom, only it's "pico"
instead of "mini"! It was designed to serve as a simple, manual, modem
configuration, testing, and debugging tool. It has also served (quite
well) as a low-tech "terminal-window" to allow operator intervention
in PPP connection scripts (something like the ms-windows "open
terminal window before / after dialing" feature).  It could also prove
useful in many other similar tasks. It is ideal for embedded systems
since its memory footprint is minimal (less than 20K, when
stripped).

%prep
%setup -q

%build
make CC="%{__cc}" CFLAGS="$RPM_OPT_FLAGS" %{_smp_mflags} UUCP_LOCK_DIR=/run/lock/picocom

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 picocom $RPM_BUILD_ROOT%{_bindir}/
install -m 644 picocom.1 $RPM_BUILD_ROOT%{_mandir}/man1/
mkdir -p $RPM_BUILD_ROOT/run/lock/picocom

%clean
rm -rf $RPM_BUILD_ROOT

%pre
getent group dialout >/dev/null || groupadd -g 83 -r -f dialout
exit 0

%files
%defattr(-,root,root,-)
%doc CONTRIBUTORS LICENSE.txt README.md
%dir %attr(0775,root,dialout) /run/lock/picocom
%{_bindir}/picocom
%{_mandir}/man1/*

%changelog
* Tue Apr 11 2017 bb2 <bb2> - 2.2-1pclos2017
- import
